require "old_poetry/version"

module OldPoetry
  class Error < StandardError; end

  class PoetryGenerator
    def self.write_poetry
      require "gabbler"

      gabbler = Gabbler.new

      system("clear")

      # Read In Poetry Files
      mme_smiled             = File.read("oldpoetry/mme_smiled.txt")
      crushes_afar           = File.read("oldpoetry/crushes_afar.txt")
      ocean_bleu             = File.read("oldpoetry/ocean_bleu.txt")
      little_hitler          = File.read("oldpoetry/little_hitler.txt")
      splitting_affection    = File.read("oldpoetry/splitting_affection.txt")
      hangers_on             = File.read("oldpoetry/hangers_on.txt")
      fantasies              = File.read("oldpoetry/fantasies.txt")
      my_face                = File.read("oldpoetry/my_face.txt")
      i_sleep                = File.read("oldpoetry/i_sleep.txt")
      cute_airplane_girl     = File.read("oldpoetry/cute_airplane_girl.txt")
      we_call_elle           = File.read("oldpoetry/we_call_elle.txt")
      nightly_statues        = File.read("oldpoetry/nightly_statues.txt")
      waiting_for_my_night   = File.read("oldpoetry/waiting_for_my_night.txt")
      rain_trickling_down    = File.read("oldpoetry/rain_trickling_down.txt")
      what_we_seek           = File.read("oldpoetry/what_we_seek.txt")
      non_digital_life       = File.read("oldpoetry/non_digital_life.txt")
      meeting_others         = File.read("oldpoetry/meeting_others.txt")
      nightly_homecoming     = File.read("oldpoetry/nightly_homecoming.txt")
      a_life_well_lived      = File.read("oldpoetry/a_life_well_lived.txt")
      to_lomadine            = File.read("oldpoetry/to_lomadine.txt")
      momentary_silence      = File.read("oldpoetry/momentary_silence.txt")
      laimenco_for_moonlight = File.read("oldpoetry/laimenco_for_moonlight.txt")
      clemency_for_blossom   = File.read("oldpoetry/clemency_for_blossom.txt")
      girl_with_rose_in_hair = File.read("oldpoetry/girl_with_rose_in_hair.txt")
      shotgun_girl           = File.read("oldpoetry/shotgun_girl.txt")
      skeletons_final_laugh  = File.read("oldpoetry/skeletons_final_laugh.txt")
      marrow_lust            = File.read("oldpoetry/marrow_lust.txt")
      new_laconia            = File.read("oldpoetry/new_laconia.txt")
      spring_rain_lullaby    = File.read("oldpoetry/spring_rain_lullaby.txt")
      falling_to_dust        = File.read("oldpoetry/falling_to_dust.txt")
      in_this_land_of_ten    = File.read("oldpoetry/in_this_land_of_ten.txt")
      poem                   = File.read("oldpoetry/poem.txt")

      # Have gabbler learn each individual poem.
      gabbler.learn(mme_smiled);             gabbler.learn(crushes_afar);          gabbler.learn(ocean_bleu);
      gabbler.learn(little_hitler);          gabbler.learn(splitting_affection);   gabbler.learn(hangers_on);
      gabbler.learn(fantasies);              gabbler.learn(my_face);               gabbler.learn(i_sleep);
      gabbler.learn(cute_airplane_girl);     gabbler.learn(we_call_elle);          gabbler.learn(nightly_statues);
      gabbler.learn(waiting_for_my_night);   gabbler.learn(rain_trickling_down);   gabbler.learn(what_we_seek);
      gabbler.learn(non_digital_life);       gabbler.learn(meeting_others);        gabbler.learn(nightly_homecoming);
      gabbler.learn(a_life_well_lived);      gabbler.learn(to_lomadine);           gabbler.learn(momentary_silence);
      gabbler.learn(laimenco_for_moonlight); gabbler.learn(clemency_for_blossom);  gabbler.learn(girl_with_rose_in_hair);
      gabbler.learn(shotgun_girl);           gabbler.learn(skeletons_final_laugh); gabbler.learn(marrow_lust);
      gabbler.learn(new_laconia);            gabbler.learn(spring_rain_lullaby);   gabbler.learn(falling_to_dust);
      gabbler.learn(in_this_land_of_ten);    gabbler.learn(poem);

      12.times { puts gabbler.sentence }
    end
  end
end
